// Created by Newton Book Maker 1.1
//  Note: This file may contain needed resources !! 
// Document
book := {
	version: 2,
	isbn: "SH4.2:Simple",
	title: "SimpleMail Help",
	shortTitle: "SimpleMail Help",
	copyright: " 1998-2001 Simon Bell.",
	author: "Simon Bell",
	keywords: "SimpleMail email",
	publicationDate: 51264000,
	help: TRUE,
	contents: Array(97, NIL),
	styles: [],
	browsers: [], templates: [], rendering: []};
output.book := book;
output.help := TRUE;

// Shared Map Functions
func MakePage(aTemplate)
	{template: aTemplate, blocks: []};
func MakeBlock(aBounds, anItem)
	{bounds: aBounds, item: anItem};

// Shared Scripts
gotoDestScript := func() begin
	if (curRendering = 0) then :TurnToPage(destPage);
	else :TurnToPage(:FindPageByContent(kioskDest, 0, NIL));
end;

// Text Styles
s0 := {
	family: 'Geneva,
	face: 0,
	size: 9};
AddArraySlot(book.styles, s0);

s1 := {
	family: 'Espy,
	face: 0,
	size: 10};
AddArraySlot(book.styles, s1);

s2 := {
	family: 'Espy,
	face: 1,
	size: 10};
AddArraySlot(book.styles, s2);

s3 := {
	family: 'Espy,
	face: 2,
	size: 10};
AddArraySlot(book.styles, s3);


// Contents
c1 := {
	data: "Configure SimpleMail",
	styles: [20, s2, 1, s1], 
	name: "config"
};
book.contents[0] := c1;

c2 := {
	data: "Enable Newton for the Internet",
	styles: [30, s2, 1, s1],
	layout: 32
};
book.contents[1] := c2;

c3 := {
	data: "See your NIE documentation.

You need to create an Internet Setup and add it to your worksite.

The Internet Setup holds the username and password used to log in to your ISP.",
	viewFont: s1
};
book.contents[2] := c3;

c4 := {
	data: "Add my e-mail address",
	styles: [21, s2, 1, s1],
	layout: 32
};
book.contents[3] := c4;

c5 := {
	data: "1. Tap Owner Info.
2. Tap your owner name.
3. Tap Add and in the list that appears, tap E-Mail
4. In the slip that appears, enter the appropriate information.",
	viewFont: s1
};
book.contents[4] := c5;

c6 := {
	data: " Enter the address people should reply to.
 Ignore the \u201c" & "Set E-Mail Password\u201d" & " button.",
	viewFont: s1
};
book.contents[5] := c6;

c7 := {
	data: "Add mail server information",
	styles: [27, s2, 1, s1],
	layout: 32
};
book.contents[6] := c7;

c8 := {
	data: "1. Tap Owner Info.
2. Tap your owner name.
3. Tap Add and in the list that appears, tap SimpleMail
4. In the slip that appears, enter the appropriate information.

If you have more than one mail account, you can add them all as SimpleMail items to your Owner card. SimpleMail will check each in turn when receiving mail.",
	viewFont: s1
};
book.contents[7] := c8;

c9 := {
	data: "Add information to a worksite",
	styles: [29, s2, 1, s1],
	layout: 32
};
book.contents[8] := c9;

c10 := {
	data: "1. Tap Owner Info.
2. Tap your worksite name.
3. Tap Add and in the list that appears, tap SimpleMail
4. In the slip that appears, enter the appropriate information.

The worksite SMTP host overrides the setting in your owner card. This is for convenience - you arent required to enter worksite server information.",
	viewFont: s1
};
book.contents[9] := c10;

c11 := {
	data: "Add an e-mail signature",
	styles: [23, s2, 1, s1],
	layout: 32
};
book.contents[10] := c11;

c12 := {
	data: "1. Tap Owner Info.
2. Tap your owner name.
3. Tap Add and in the list that appears, tap E-Mail Signature
4. In the slip that appears, enter the text you want to appear as your signature.

When you mail something, check the \u201c" & "Sign letter\u201d" & " checkbox in the routing slip to append this signature to your message.",
	viewFont: s1
};
book.contents[11] := c12;

c13 := {
	data: "Set Preferences",
	styles: [15, s2, 1, s1],
	layout: 32, 
	name: "prefs"
};
book.contents[12] := c13;

c14 := {
	data: "Basic",
	styles: [5, s2, 1, s1],
	layout: 32
};
book.contents[13] := c14;

c15 := {
	data: "Leave mail on server",
	styles: [20, s2, 1, s1],
	layout: 32
};
book.contents[14] := c15;

c16 := {
	data: "Check this if you want to leave messages on the server after fetching them.

Otherwise messages are deleted automatically after being fetched.",
	viewFont: s1
};
book.contents[15] := c16;

c17 := {
	data: "Delete from In Box and server",
	styles: [29, s2, 1, s1],
	layout: 32
};
book.contents[16] := c17;

c18 := {
	data: "Check this if you want to delete a message from the server when you delete it from your In Box.

If youre connected for browsing mail, Remote messages are deleted immediately. If youre not connected, or the message belongs to another server, it will be deleted next time you log in to the server.",
	viewFont: s1
};
book.contents[17] := c18;

c19 := {
	data: "Send and receive in one session",
	styles: [31, s2, 1, s1],
	layout: 32
};
book.contents[18] := c19;

c20 := {
	data: "Check \u201c" & "Disconnect after sending\u201d" & " if you want to disconnect immediately after sending the contents of your Out Box.

Otherwise SimpleMail looks for mail for your In Box after sending.",
	viewFont: s1
};
book.contents[19] := c20;

c21 := {
	data: "Strip Internet headers",
	styles: [22, s2, 1, s1],
	layout: 32
};
book.contents[20] := c21;

c22 := {
	data: "Check \u201c" & "Strip Internet headers\u201d" & " if you want to discard internet addressing information from the start of received messages.

Otherwise messages have an Envelope part which contains the original internet header.",
	viewFont: s1
};
book.contents[21] := c22;

c23 := {
	data: "Open InOut as In or Out Box",
	styles: [27, s2, 1, s1],
	layout: 32
};
book.contents[22] := c23;

c24 := {
	data: "
Available only with Newton 2.1

Tap \u201c" & "Open InOut as\u201d" & " to select whether the In Box or Out Box should be opened when you tap the InOut icon. In the list that appears, tap your choice.",
	styles: [1, s1, 30, s2, 151, s1]
};
book.contents[23] := c24;

c25 := {
	data: "Browse mail",
	styles: [11, s2, 1, s1],
	layout: 32
};
book.contents[24] := c25;

c26 := {
	data: "Tap \u201c" & "When connecting\u201d" & " to choose how you want to receive messages.",
	viewFont: s1
};
book.contents[25] := c26;

c27 := {
	data: " Browse mail - a summary of each message is retrieved from the server and shown in the In Box overview. You choose which messages you want to download in full.
 Download mail - messages are downloaded immediately.",
	styles: [2, s1, 11, s3, 150, s1, 13, s3, 40, s1]
};
book.contents[26] := c27;

c28 := {
	data: "Choose when  to send",
	styles: [20, s2, 1, s1],
	layout: 32
};
book.contents[27] := c28;

c29 := {
	data: "Tap \u201c" & "When Sending\u201d" & " to set when you want to send an item.",
	viewFont: s1
};
book.contents[28] := c29;

c30 := {
	data: " Send now - always sends the item right away.
 Send later - always routes the item to the InOut Box. Items wait in the Out Box until you choose to send them.
 Specify when - gives you a choice of Now or Later when you fill out the routing slip.",
	styles: [2, s1, 8, s3, 39, s1, 10, s3, 103, s1, 12, s3, 74, s1]
};
book.contents[29] := c30;

c31 := {
	data: "Organise sent and read items",
	styles: [28, s2, 1, s1],
	layout: 32
};
book.contents[30] := c31;

c32 := {
	data: "Tap \u201c" & "After sending\u201d" & " to select what to do with an item after it is sent. In the list that appears, tap your choice.

Tap \u201c" & "File read items in\u201d" & " to choose where to file received items that you have already read. In the list that appears, tap your choice.",
	viewFont: s1
};
book.contents[31] := c32;

c33 := {
	data: "Sending",
	styles: [7, s2, 1, s1],
	layout: 32
};
book.contents[32] := c33;

c34 := {
	data: "Encode sent text",
	styles: [16, s2, 1, s1],
	layout: 32
};
book.contents[33] := c34;

c35 := {
	data: "
Available only in SimpleMail-NTE

Tap \u201c" & "Text encoding\u201d" & " to enable a Newton Text Encoding (NTE) module. In the list that appears, tap your choice.

NTE modules are packages you download separately. They perform language encoding for communications applications - they can also be used by NewtsCape, for example.",
	styles: [1, s1, 32, s2, 278, s1]
};
book.contents[34] := c35;

c36 := {
	data: "Prefix reply with originator",
	styles: [28, s2, 1, s1],
	layout: 32
};
book.contents[35] := c36;

c37 := {
	data: "Check this if you want replies to be prefixed with a line saying who sent the original message.",
	viewFont: s1
};
book.contents[36] := c37;

c38 := {
	data: "Quote lines",
	styles: [11, s2, 1, s1],
	layout: 32
};
book.contents[37] := c38;

c39 := {
	data: "On this line enter text that you want to be added at the start of every line youve selected when you reply to a message.",
	viewFont: s1
};
book.contents[38] := c39;

c40 := {
	data: "Quote block",
	styles: [11, s2, 1, s1],
	layout: 32
};
book.contents[39] := c40;

c41 := {
	data: "On this line enter text that you want to be added at the start and end of the text youve selected when you reply to a message.

Leave quote text blank if you dont want to quote excerpts from a message in this way.",
	viewFont: s1
};
book.contents[40] := c41;

c42 := {
	data: "Always Cc somebody",
	styles: [18, s2, 1, s1],
	layout: 32
};
book.contents[41] := c42;

c43 := {
	data: "Tap \u201c" & "Always Cc\u201d" & " to select recipients youd like always to receive a copy of your messages. In the list that appears, tap your choice.

You can change the Cc field for individual messages when you actually route the item.

To remove this preference choose Other Names and uncheck all selected names.",
	viewFont: s1
};
book.contents[42] := c43;

c44 := {
	data: "Define my X-Face",
	styles: [16, s2, 1, s1],
	layout: 32
};
book.contents[43] := c44;

c45 := {
	data: "On the \u201c" & "Face\u201d" & " line enter an x-face definition.

An x-face is a 48x48 icon encoded as a text string.

If a received message contains an x-face you can view it in the info slip. If the From: label shows a diamond next to it, tap it to see the senders face.",
	viewFont: s1
};
book.contents[44] := c45;

c46 := {
	data: "Receiving",
	styles: [9, s2, 1, s1],
	layout: 32
};
book.contents[45] := c46;

c47 := {
	data: "Set new mail alert sound",
	styles: [24, s2, 1, s1],
	layout: 32
};
book.contents[46] := c47;

c48 := {
	data: "Tap \u201c" & "You have mail\u201d" & " to specify a sound to be played when mail download is complete.  In the list that appears, tap your choice.",
	viewFont: s1
};
book.contents[47] := c48;

c49 := {
	data: "Enable alert dialog",
	styles: [19, s2, 1, s1],
	layout: 32
};
book.contents[48] := c49;

c50 := {
	data: "Check \u201c" & "Enable no mail alert\u201d" & " if you want an alert to be displayed when you are receiving but there is no mail for your In Box.

Otherwise SimpleMail silently returns control to Newton.",
	viewFont: s1
};
book.contents[49] := c50;

c51 := {
	data: "Select timestamp timezone",
	styles: [25, s2, 1, s1],
	layout: 32
};
book.contents[50] := c51;

c52 := {
	data: "Tap \u201c" & "Timestamp with\u201d" & " to specify the time zone with which you want received messages to be stamped. In the list that appears, tap your choice.",
	viewFont: s1
};
book.contents[51] := c52;

c53 := {
	data: "Put Away text",
	styles: [13, s2, 1, s1],
	layout: 32
};
book.contents[52] := c53;

c54 := {
	data: "Tap \u201c" & "Put Away text to\u201d" & " to specify where multiple selections should be put away to.  In the list that appears, tap your choice.",
	viewFont: s1
};
book.contents[53] := c54;

c55 := {
	data: "Put away items automatically",
	styles: [28, s2, 1, s1],
	layout: 32
};
book.contents[54] := c55;

c56 := {
	data: "
Available only with Newton 2.1

Check this if you want received items to be put away to applications that can automatically receive them.",
	styles: [1, s1, 30, s2, 108, s1]
};
book.contents[55] := c56;

c57 := {
	data: "Filter",
	styles: [6, s2, 1, s1],
	layout: 32
};
book.contents[56] := c57;

c58 := {
	data: "Limit messages",
	styles: [14, s2, 1, s1],
	layout: 32
};
book.contents[57] := c58;

c59 := {
	data: "Tap \u201c" & "Receive\u201d" & " to  limit the number and type of messages you want to receive.",
	viewFont: s1
};
book.contents[58] := c59;

c60 := {
	data: " number - choose the number of messages to be received
 unlimited - no limit to the number of messages to be received will be applied
 new - only messages new to this MessagePad will be received
 unread - only Status: Unread messages will be received
 all - messages will be received, whether already read or not",
	styles: [2, s1, 6, s3, 50, s1, 9, s3, 71, s1, 3, s3, 59, s1, 6, s3, 51, s1, 3, s3, 58, s1]
};
book.contents[59] := c60;

c61 := {
	data: "Choose what to do",
	styles: [17, s2, 1, s1],
	layout: 32
};
book.contents[60] := c61;

c62 := {
	data: "Tap \u201c" & "but\u201d" & " to  choose what you would like to do with a message that matches some criterion you define below.",
	viewFont: s1
};
book.contents[61] := c62;

c63 := {
	data: " skip - the message will be ignored
 file - the message will be received and filed in the folder you choose
 abbreviate - only the first twenty lines of the message will be received
 delete - the message will be deleted from the mail server without being fetched into your Newton In Box",
	styles: [2, s1, 4, s3, 33, s1, 4, s3, 69, s1, 10, s3, 65, s1, 6, s3, 98, s1]
};
book.contents[62] := c63;

c64 := {
	data: "Choose what to test",
	styles: [19, s2, 1, s1],
	layout: 32
};
book.contents[63] := c64;

c65 := {
	data: "Tap \u201c" & "if\u201d" & " to select the attribute of a message you want to test. In the list that appears, tap your choice.",
	viewFont: s1
};
book.contents[64] := c65;

c66 := {
	data: "Set a value to test",
	styles: [19, s2, 1, s1],
	layout: 32
};
book.contents[65] := c66;

c67 := {
	data: "Tap the text next to the diamond to choose a relationship for the attribute, and the item to its right to define the value for your filter.

Messages which match this relationship will have the chosen action applied to them. Messages which match none of your criteria will be received in full.

NOTE  on this line \u201c" & "is\u201d" & " means \u201c" & "contains\u201d" & ".",
	styles: [295, s1, 4, s2, 38, s1]
};
book.contents[66] := c67;

c68 := {
	data: "Enable filters",
	styles: [14, s2, 1, s1],
	layout: 32
};
book.contents[67] := c68;

c69 := {
	data: "Tap the Add button to add your filter to the list.
Tap a filter to select it, then tap Remove to remove a filter from the list.

During the receive process, filter criteria are tested in the order they appear in the list and the first that matches has its action applied.

Check the Enabled checkbox to enable filtering. If this box is unchecked then all messages will be received in full.",
	viewFont: s1
};
book.contents[68] := c69;

c70 := {
	data: "Choose a mail font",
	styles: [18, s2, 1, s1],
	layout: 32
};
book.contents[69] := c70;

c71 := {
	data: "Tap the Mail Font button to choose the font used for displaying your message text. In the slip that appears, select the appropriate information.",
	viewFont: s1
};
book.contents[70] := c71;

c72 := {
	data: "Schedule connection",
	styles: [19, s2, 1, s1],
	layout: 32
};
book.contents[71] := c72;

c73 := {
	data: "Tap the Delivery button to set the schedule when you want your MessagePad to send and receive mail. In the slip that appears, select the appropriate information.

Remember to set your preferences not to \u201c" & "Disconnect after sending\u201d" & " if you want to receive messages automatically.",
	styles: [196, s1, 3, s2, 78, s1]
};
book.contents[72] := c73;

c74 := {
	data: "Use Electronic Mail",
	styles: [19, s2, 1, s1],
	layout: 32, 
	name: "use"
};
book.contents[73] := c74;

c75 := {
	data: "Address an Individual",
	styles: [21, s2, 1, s1],
	layout: 32
};
book.contents[74] := c75;

c76 := {
	data: "1. Tap To:, Cc: or Bcc: in the routing slip, and in the list that appears tap Individual.
2. In the slip that appears, enter the appropriate information.

Refer to your MessagePad Users Manual for general guidance with e-mail and the InOut Box.",
	viewFont: s1
};
book.contents[75] := c76;

c77 := {
	data: "Unwrap message text",
	styles: [19, s2, 1, s1],
	layout: 32
};
book.contents[76] := c77;

c78 := {
	data: "1. Open the e-mail message, or check it in the overview.
2. Tap the Tag button and in the list that appears tap Unwrap.
The text is unwrapped into paragraphs.

Tap Undo to restore the original message text.",
	viewFont: s1
};
book.contents[77] := c78;

c79 := {
	data: "Select All message text",
	styles: [23, s2, 1, s1],
	layout: 32
};
book.contents[78] := c79;

c80 := {
	data: "1. Select some of the e-mail message text.
2. Tap the Tag button and in the list that appears tap Select All.

If you dont have a selection, Select All wont appear in the list.",
	viewFont: s1
};
book.contents[79] := c80;

c81 := {
	data: "Delete a message on the server",
	styles: [30, s2, 1, s1],
	layout: 32
};
book.contents[80] := c81;

c82 := {
	data: "1. Open the e-mail message, or check it in the overview.
2. Tap the Tag button and in the list that appears tap Delete Remote.

If youre connected for browsing mail, the message is deleted immediately. If youre not connected it will be deleted next time you log in to the server.
This operates indepenently of the Delete from In Box and server preference and allows you to keep the message in your Newton In Box.",
	viewFont: s1
};
book.contents[81] := c82;

c83 := {
	data: "Browse mail on the server",
	styles: [25, s2, 1, s1],
	layout: 32
};
book.contents[82] := c83;

c84 := {
	data: "1. Set preferences \u201c" & "When connecting : Browse mail\u201d" & "
2. Connect as usual.

Just a summary of each message is fetched for the In Box overview.

The progress slip disappears but SimpleMail remains connected. A blinking star appears at the top of the screen.

Fetch a message in full by tapping its entry in the overview as usual.",
	viewFont: s1
};
book.contents[83] := c84;

c85 := {
	data: "Manage browsing",
	styles: [15, s2, 1, s1],
	layout: 32
};
book.contents[84] := c85;

c86 := {
	data: "To fetch multiple Remote items, in the In Box overview:
1. Tap the checkbox next to each item you want to fetch.
2. Tap the Receive button and in the list that appears tap SimpleMail.

If your preferences are set to \u201c" & "Delete from In Box and server\u201d" & ", Remote messages you delete from the In Box are also deleted immediately from the server.",
	viewFont: s1
};
book.contents[85] := c86;

c87 := {
	data: "Stop browsing",
	styles: [13, s2, 1, s1],
	layout: 32
};
book.contents[86] := c87;

c88 := {
	data: "1. Tap the star at the top of the screen and in the list that appears tap SimpleMail. The progress slip is re-opened.
2. Tap the Stop button in the progress slip.

Any messages which are still Remote are deleted from the In Box - but not from the server.",
	viewFont: s1
};
book.contents[87] := c88;

c89 := {
	data: "Get more help",
	styles: [13, s2, 1, s1],
	layout: 32, 
	name: "help"
};
book.contents[88] := c89;

c90 := {
	data: "1. Refer to your:",
	viewFont: s1
};
book.contents[89] := c90;

c91 := {
	data: " MessagePad Users Guide
 NIE documentation
 SimpleMail Users Guide",
	viewFont: s1
};
book.contents[90] := c91;

c92 := {
	data: "2. Check the Newton FAQ:",
	viewFont: s1
};
book.contents[91] := c92;

c93 := {
	data: "http://www.newt-info.com/faq/",
	viewFont: s1
};
book.contents[92] := c93;

c94 := {
	data: "3. Visit my website for the latest version and related packages:",
	viewFont: s1
};
book.contents[93] := c94;

c95 := {
	data: "http://www.simple.dial.pipex.com/",
	viewFont: s1
};
book.contents[94] := c95;

c96 := {
	data: "4. Contact me:",
	viewFont: s1
};
book.contents[95] := c96;

c97 := {
	data: "Simon Bell <simple@dial.pipex.com>",
	viewFont: s1
};
book.contents[96] := c97;


// Kiosk (menu page) references

// Page Templates
NBMDefault := {
	nColumns: 1,
	column: [{
	width: 12,
	type: 0}]
};
AddArraySlot(book.templates, NBMDefault);

// Bounds List
bnd1 := [0,0,206,214];
bnd2 := [0,0,206,14];
bnd3 := [0,14,206,214];
bnd4 := [0,14,206,98];
bnd5 := [12,98,206,214];
bnd6 := [0,14,206,42];
bnd7 := [12,42,206,214];
bnd8 := [0,14,206,56];
bnd9 := [12,56,206,214];
bnd10 := [0,14,206,28];
bnd11 := [18,28,206,70];
bnd12 := [0,70,206,84];
bnd13 := [18,84,206,98];
bnd14 := [0,98,206,126];
bnd15 := [18,126,206,140];
bnd16 := [0,140,206,154];
bnd17 := [18,154,206,168];

// Pages
pageList := {pageSize: {left: 0, top: 0, right: 206, bottom: 214}, pages: []};

// Page 1
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd1, c1));
AddArraySlot(pageList.pages, page);

// Page 2
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c2));
AddArraySlot(page.blocks, MakeBlock(bnd3, c3));
AddArraySlot(pageList.pages, page);

// Page 3
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c4));
AddArraySlot(page.blocks, MakeBlock(bnd4, c5));
AddArraySlot(page.blocks, MakeBlock(bnd5, c6));
AddArraySlot(pageList.pages, page);

// Page 4
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c7));
AddArraySlot(page.blocks, MakeBlock(bnd3, c8));
AddArraySlot(pageList.pages, page);

// Page 5
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c9));
AddArraySlot(page.blocks, MakeBlock(bnd3, c10));
AddArraySlot(pageList.pages, page);

// Page 6
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c11));
AddArraySlot(page.blocks, MakeBlock(bnd3, c12));
AddArraySlot(pageList.pages, page);

// Page 7
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd1, c13));
AddArraySlot(pageList.pages, page);

// Page 8
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd1, c14));
AddArraySlot(pageList.pages, page);

// Page 9
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c15));
AddArraySlot(page.blocks, MakeBlock(bnd3, c16));
AddArraySlot(pageList.pages, page);

// Page 10
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c17));
AddArraySlot(page.blocks, MakeBlock(bnd3, c18));
AddArraySlot(pageList.pages, page);

// Page 11
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c19));
AddArraySlot(page.blocks, MakeBlock(bnd3, c20));
AddArraySlot(pageList.pages, page);

// Page 12
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c21));
AddArraySlot(page.blocks, MakeBlock(bnd3, c22));
AddArraySlot(pageList.pages, page);

// Page 13
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c23));
AddArraySlot(page.blocks, MakeBlock(bnd3, c24));
AddArraySlot(pageList.pages, page);

// Page 14
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c25));
AddArraySlot(page.blocks, MakeBlock(bnd6, c26));
AddArraySlot(page.blocks, MakeBlock(bnd7, c27));
AddArraySlot(pageList.pages, page);

// Page 15
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c28));
AddArraySlot(page.blocks, MakeBlock(bnd6, c29));
AddArraySlot(page.blocks, MakeBlock(bnd7, c30));
AddArraySlot(pageList.pages, page);

// Page 16
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c31));
AddArraySlot(page.blocks, MakeBlock(bnd3, c32));
AddArraySlot(pageList.pages, page);

// Page 17
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd1, c33));
AddArraySlot(pageList.pages, page);

// Page 18
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c34));
AddArraySlot(page.blocks, MakeBlock(bnd3, c35));
AddArraySlot(pageList.pages, page);

// Page 19
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c36));
AddArraySlot(page.blocks, MakeBlock(bnd3, c37));
AddArraySlot(pageList.pages, page);

// Page 20
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c38));
AddArraySlot(page.blocks, MakeBlock(bnd3, c39));
AddArraySlot(pageList.pages, page);

// Page 21
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c40));
AddArraySlot(page.blocks, MakeBlock(bnd3, c41));
AddArraySlot(pageList.pages, page);

// Page 22
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c42));
AddArraySlot(page.blocks, MakeBlock(bnd3, c43));
AddArraySlot(pageList.pages, page);

// Page 23
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c44));
AddArraySlot(page.blocks, MakeBlock(bnd3, c45));
AddArraySlot(pageList.pages, page);

// Page 24
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd1, c46));
AddArraySlot(pageList.pages, page);

// Page 25
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c47));
AddArraySlot(page.blocks, MakeBlock(bnd3, c48));
AddArraySlot(pageList.pages, page);

// Page 26
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c49));
AddArraySlot(page.blocks, MakeBlock(bnd3, c50));
AddArraySlot(pageList.pages, page);

// Page 27
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c51));
AddArraySlot(page.blocks, MakeBlock(bnd3, c52));
AddArraySlot(pageList.pages, page);

// Page 28
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c53));
AddArraySlot(page.blocks, MakeBlock(bnd3, c54));
AddArraySlot(pageList.pages, page);

// Page 29
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c55));
AddArraySlot(page.blocks, MakeBlock(bnd3, c56));
AddArraySlot(pageList.pages, page);

// Page 30
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd1, c57));
AddArraySlot(pageList.pages, page);

// Page 31
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c58));
AddArraySlot(page.blocks, MakeBlock(bnd6, c59));
AddArraySlot(page.blocks, MakeBlock(bnd7, c60));
AddArraySlot(pageList.pages, page);

// Page 32
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c61));
AddArraySlot(page.blocks, MakeBlock(bnd8, c62));
AddArraySlot(page.blocks, MakeBlock(bnd9, c63));
AddArraySlot(pageList.pages, page);

// Page 33
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c64));
AddArraySlot(page.blocks, MakeBlock(bnd3, c65));
AddArraySlot(pageList.pages, page);

// Page 34
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c66));
AddArraySlot(page.blocks, MakeBlock(bnd3, c67));
AddArraySlot(pageList.pages, page);

// Page 35
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c68));
AddArraySlot(page.blocks, MakeBlock(bnd3, c69));
AddArraySlot(pageList.pages, page);

// Page 36
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c70));
AddArraySlot(page.blocks, MakeBlock(bnd3, c71));
AddArraySlot(pageList.pages, page);

// Page 37
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c72));
AddArraySlot(page.blocks, MakeBlock(bnd3, c73));
AddArraySlot(pageList.pages, page);

// Page 38
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd1, c74));
AddArraySlot(pageList.pages, page);

// Page 39
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c75));
AddArraySlot(page.blocks, MakeBlock(bnd3, c76));
AddArraySlot(pageList.pages, page);

// Page 40
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c77));
AddArraySlot(page.blocks, MakeBlock(bnd3, c78));
AddArraySlot(pageList.pages, page);

// Page 41
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c79));
AddArraySlot(page.blocks, MakeBlock(bnd3, c80));
AddArraySlot(pageList.pages, page);

// Page 42
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c81));
AddArraySlot(page.blocks, MakeBlock(bnd3, c82));
AddArraySlot(pageList.pages, page);

// Page 43
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c83));
AddArraySlot(page.blocks, MakeBlock(bnd3, c84));
AddArraySlot(pageList.pages, page);

// Page 44
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c85));
AddArraySlot(page.blocks, MakeBlock(bnd3, c86));
AddArraySlot(pageList.pages, page);

// Page 45
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c87));
AddArraySlot(page.blocks, MakeBlock(bnd3, c88));
AddArraySlot(pageList.pages, page);

// Page 46
page := MakePage(NBMDefault);
AddArraySlot(page.blocks, MakeBlock(bnd2, c89));
AddArraySlot(page.blocks, MakeBlock(bnd10, c90));
AddArraySlot(page.blocks, MakeBlock(bnd11, c91));
AddArraySlot(page.blocks, MakeBlock(bnd12, c92));
AddArraySlot(page.blocks, MakeBlock(bnd13, c93));
AddArraySlot(page.blocks, MakeBlock(bnd14, c94));
AddArraySlot(page.blocks, MakeBlock(bnd15, c95));
AddArraySlot(page.blocks, MakeBlock(bnd16, c96));
AddArraySlot(page.blocks, MakeBlock(bnd17, c97));
AddArraySlot(pageList.pages, page);

AddArraySlot(book.rendering, pageList);

// Browsers & Page Hints
b1 := {
	name: "Contents",  list: []
};


AddArraySlot(b1.list, {	// 0
	item: c1
});
AddArraySlot(b1.list, {	// 1
	level: 2,
	item: c2
});
AddArraySlot(b1.list, {	// 2
	level: 2,
	item: c4
});
AddArraySlot(b1.list, {	// 3
	level: 2,
	item: c7
});
AddArraySlot(b1.list, {	// 4
	level: 2,
	item: c9
});
AddArraySlot(b1.list, {	// 5
	level: 2,
	item: c11
});
AddArraySlot(b1.list, {	// 6
	item: c13
});
AddArraySlot(b1.list, {	// 7
	level: 2,
	item: c14
});
AddArraySlot(b1.list, {	// 8
	level: 3,
	item: c15
});
AddArraySlot(b1.list, {	// 9
	level: 3,
	item: c17
});
AddArraySlot(b1.list, {	// 10
	level: 3,
	item: c19
});
AddArraySlot(b1.list, {	// 11
	level: 3,
	item: c21
});
AddArraySlot(b1.list, {	// 12
	level: 3,
	item: c23
});
AddArraySlot(b1.list, {	// 13
	level: 3,
	item: c25
});
AddArraySlot(b1.list, {	// 14
	level: 3,
	item: c28
});
AddArraySlot(b1.list, {	// 15
	level: 3,
	item: c31
});
AddArraySlot(b1.list, {	// 16
	level: 2,
	item: c33
});
AddArraySlot(b1.list, {	// 17
	level: 3,
	item: c34
});
AddArraySlot(b1.list, {	// 18
	level: 3,
	item: c36
});
AddArraySlot(b1.list, {	// 19
	level: 3,
	item: c38
});
AddArraySlot(b1.list, {	// 20
	level: 3,
	item: c40
});
AddArraySlot(b1.list, {	// 21
	level: 3,
	item: c42
});
AddArraySlot(b1.list, {	// 22
	level: 3,
	item: c44
});
AddArraySlot(b1.list, {	// 23
	level: 2,
	item: c46
});
AddArraySlot(b1.list, {	// 24
	level: 3,
	item: c47
});
AddArraySlot(b1.list, {	// 25
	level: 3,
	item: c49
});
AddArraySlot(b1.list, {	// 26
	level: 3,
	item: c51
});
AddArraySlot(b1.list, {	// 27
	level: 3,
	item: c53
});
AddArraySlot(b1.list, {	// 28
	level: 3,
	item: c55
});
AddArraySlot(b1.list, {	// 29
	level: 2,
	item: c57
});
AddArraySlot(b1.list, {	// 30
	level: 3,
	item: c58
});
AddArraySlot(b1.list, {	// 31
	level: 3,
	item: c61
});
AddArraySlot(b1.list, {	// 32
	level: 3,
	item: c64
});
AddArraySlot(b1.list, {	// 33
	level: 3,
	item: c66
});
AddArraySlot(b1.list, {	// 34
	level: 3,
	item: c68
});
AddArraySlot(b1.list, {	// 35
	level: 2,
	item: c70
});
AddArraySlot(b1.list, {	// 36
	level: 2,
	item: c72
});
AddArraySlot(b1.list, {	// 37
	item: c74
});
AddArraySlot(b1.list, {	// 38
	level: 2,
	item: c75
});
AddArraySlot(b1.list, {	// 39
	level: 2,
	item: c77
});
AddArraySlot(b1.list, {	// 40
	level: 2,
	item: c79
});
AddArraySlot(b1.list, {	// 41
	level: 2,
	item: c81
});
AddArraySlot(b1.list, {	// 42
	level: 2,
	item: c83
});
AddArraySlot(b1.list, {	// 43
	level: 2,
	item: c85
});
AddArraySlot(b1.list, {	// 44
	level: 2,
	item: c87
});
AddArraySlot(b1.list, {	// 45
	item: c89
});
AddArraySlot(book.browsers, b1);

// Indices and Sub-Indices
